Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2HeadControlAgentInterface Class Reference

Allows to register the same Xabsl2HeadControl instance more than once at a ModuleHandler to be able to switch between different agents using the GT Module mechanism. More...

`#include <Xabsl2HeadControl.h>`

Inheritance diagram for Xabsl2HeadControlAgentInterface:

[legend]
Collaboration diagram for Xabsl2HeadControlAgentInterface:

[legend]
List of all members.

## Public Member Functions
| Xabsl2HeadControlAgentInterface (const char *name, Xabsl2HeadControl *headControl, const HeadControlInterfaces &interfaces)
| Constructor.
| ~Xabsl2HeadControlAgentInterface ()
| Destructor.
virtual void | execute ()
| Executes the agent.
virtual bool | handleMessage (InMessage &message)
| Is called for every incoming debug message.
## Private Attributes
Xabsl2HeadControl * | headControl
| A pointer to the Xabsl2HeadControl can contains the agent.

## Detailed Description

Allows to register the same Xabsl2HeadControl instance more than once at a ModuleHandler to be able to switch between different agents using the GT Module mechanism.

Definition at line 62 of file Xabsl2HeadControl.h.

## Constructor & Destructor Documentation

Xabsl2HeadControlAgentInterface::Xabsl2HeadControlAgentInterface | ( | const char * | name,
|  | Xabsl2HeadControl * | headControl,
|  | const HeadControlInterfaces & | interfaces
| ) |

  | Constructor. Parameters:
  name | The name of the agent
  headControl | A newly created Xabsl2HeadControl can contains the agent.
  interfaces | The paramters of the HeadControl module.
Definition at line 43 of file Xabsl2HeadControl.cpp. References ASSERT.

Xabsl2HeadControlAgentInterface::~Xabsl2HeadControlAgentInterface | ( |  | ) |

| Destructor. Deletes the Xabsl2HeadControl Definition at line 52 of file Xabsl2HeadControl.cpp.

## Member Function Documentation

void Xabsl2HeadControlAgentInterface::execute | ( |  | ) | `[virtual]`

| Executes the agent. Reimplemented from Module. Definition at line 57 of file Xabsl2HeadControl.cpp. References ASSERT.

bool Xabsl2HeadControlAgentInterface::handleMessage | ( | InMessage & | message | ) | `[virtual]`

  | Is called for every incoming debug message. Parameters:
  message | An interface to read the message from the queue
Returns: if the messag was read Reimplemented from Module. Definition at line 64 of file Xabsl2HeadControl.cpp. References ASSERT.

## Member Data Documentation

Xabsl2HeadControl* Xabsl2HeadControlAgentInterface::headControl`[private]`

| A pointer to the Xabsl2HeadControl can contains the agent. Definition at line 90 of file Xabsl2HeadControl.h.

The documentation for this class was generated from the following files:

- Modules/HeadControl/Xabsl2HeadControl.h
- Modules/HeadControl/Xabsl2HeadControl.cpp